<?php
	session_start();
	require ("./Funciones/funciones.php");
	$conexion = conecta();
	$nombre = $_REQUEST['nombre'];
	$apellidos = $_REQUEST['apellidos'];
	$email = $_REQUEST['correo'];
	$pass = $_REQUEST['pass'];
	$domicilio = $_REQUEST['domicilio'];
	$tel = $_REQUEST['telefono'];
	$pass_txt = md5($pass);
	$id = $_GET['id'];
	$activado = 1;
	$eliminado = 0;
	$sql= "SELECT * FROM usuarios where email='$email' OR idusuario ='$id'";
	$res = mysqli_query($conexion,$sql);
	

	$correo = mysql_result($res, 0,"email");
	$iduser = mysql_result($res, 0,"idusuario");

	if($correo==$email && $id !=$iduser){
		echo "Este correo ya esta registrado, intenta con otro.";
	}elseif($id==''){
		$sql = "INSERT INTO usuarios VALUES (0, '$nombre','$apellidos','$email','$pass_txt','$domicilio','$tel',$activado,$eliminado )";
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"usuario_lista.php\">Lista de administradores</a>");
		}
		else{
	    exit(header("Location: usuario_lista.php"));
	}
	}else{
		if($id == $iduser){
		$sql= "UPDATE usuarios SET nombre='$nombre',apellidos='$apellidos',email='$email',domicilio='$domicilio',telefono='$tel' WHERE idusuario='$id'";
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"usuario_lista.php\">Lista de usuarios</a>");
		}
		else{
	    exit(header("Location: usuario_lista.php"));
		}
	}
}	
?>
